Package org.eclipse.emf.cdo.common.lob

# Class CDOBlobOutputStream

java.lang.Object
java.io.OutputStream
org.eclipse.emf.cdo.common.lob.CDOBlobOutputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

public class CDOBlobOutputStream extends OutputStream
An `OutputStream` that produces a `CDOBlob`.

Since:
  4.3
Author:
  Christian W. Damus (CEA LIST)

## Constructor Summary

Constructors
Constructor
Description
`CDOBlobOutputStream()`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`flush()`
`CDOBlob`
`getBlob()`
`void`
`write(byte[] b, int off, int len)`
`void`
`write(int b)`

### Methods inherited from class java.io.OutputStream

`nullOutputStream, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CDOBlobOutputStream

public CDOBlobOutputStream()

## Method Details

### write

public void write(int b) throws IOException

Specified by:
  `write` in class `OutputStream`
Throws:
  `IOException`

### write

public void write(byte[] b, int off, int len) throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `OutputStream`
Throws:
  `IOException`

### flush

public void flush() throws IOException

Specified by:
  `flush` in interface `Flushable`
Overrides:
  `flush` in class `OutputStream`
Throws:
  `IOException`

### getBlob

public CDOBlob getBlob()